Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 709402 - net-analyzer/mbrowse-0.4.3-r1 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/mbrowse-0.4.3-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-12 17:35 UTC by Toralf Förster
Modified: 2020-02-13 10:13 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.35 KB, text/plain)
2020-02-12 17:35 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,131.98 KB, text/plain)
2020-02-12 17:35 UTC, Toralf Förster
Details
environment (environment,62.87 KB, text/plain)
2020-02-12 17:35 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.48 KB, application/x-bzip)
2020-02-12 17:35 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.04 KB, application/x-bzip)
2020-02-12 17:35 UTC, Toralf Förster
Details
net-analyzer:mbrowse-0.4.3-r1:20200212-130453.log (net-analyzer:mbrowse-0.4.3-r1:20200212-130453.log,15.96 KB, text/plain)
2020-02-12 17:35 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.09 KB, application/x-bzip)
2020-02-12 17:35 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-12 17:35:25 UTC
  106 |   return __builtin___strncpy_chk (__dest, __src, __len, __bos (__dest));
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/atk-1.0 -pthread  -I/usr/include -DHAVE_NETSNMP    -O2 -pipe -march=native -fno-common -Wall -c -o search.o search.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -Wall  -Wl,-O1 -Wl,--as-needed -o mbrowse main.o interface.o details.o callbacks.o snmpstuff.o bookmarks.o mibtree.o configuration.o search.o -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype  -L/usr/lib64 -lnetsnmp -lcrypto -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: bookmarks.o:(.bss+0x0): multiple definition of `bookmark_items'; callbacks.o:(.bss+0x40): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /usr/lib64/libnetsnmp.so: warning: EVP_EncryptFinal is often misused, please use EVP_EncryptFinal_ex and EVP_CIPHER_CTX_cleanup

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200209-121610

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 12 Feb 2020 11:41:24 +0000

emerge -qpvO net-analyzer/mbrowse
[ebuild  N    ] net-analyzer/mbrowse-0.4.3-r1
Comment 1 Toralf Förster gentoo-dev 2020-02-12 17:35:29 UTC
Created attachment 613504 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-12 17:35:31 UTC
Created attachment 613506 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-12 17:35:35 UTC
Created attachment 613508 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-12 17:35:38 UTC
Created attachment 613510 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-12 17:35:40 UTC
Created attachment 613512 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-12 17:35:43 UTC
Created attachment 613514 [details]
net-analyzer:mbrowse-0.4.3-r1:20200212-130453.log
Comment 7 Toralf Förster gentoo-dev 2020-02-12 17:35:46 UTC
Created attachment 613516 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-13 10:13:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6cd511fdaadd068af8ce0b2872450d02c6a63364

commit 6cd511fdaadd068af8ce0b2872450d02c6a63364
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-02-13 10:08:45 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-02-13 10:13:37 +0000

    net-analyzer/mbrowse: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.88, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=709402
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../mbrowse/files/mbrowse-0.4.3-flags.patch        | 16 ++++++++++++
 .../mbrowse/files/mbrowse-0.4.3-fno-common.patch   | 29 ++++++++++++++++++++++
 net-analyzer/mbrowse/mbrowse-0.4.3-r1.ebuild       |  9 ++++---
 3 files changed, 50 insertions(+), 4 deletions(-)